package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.TYPE })
public @interface XmlType {
    public abstract String name() default "##default";
    
    public abstract String[] propOrder() default { "" };
    
    public abstract String namespace() default "##default";
    
    public abstract Class factoryClass() default XmlType.DEFAULT.class;
    
    public abstract String factoryMethod() default "";
    
    public static final class DEFAULT
    {
    }
}
